POST
/api/v1/vault/
curl --request POST \ --url 'https://api.e2enetworks.com/myaccount/api/v1/vault/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>' \ --header 'Content-Type: application/json' \ --data '{ "name": "string", "plan_id": 0}'import requests
response = requests.post( "https://api.e2enetworks.com/myaccount/api/v1/vault/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"}, json={ "name": "string", "plan_id": 0, },)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/vault/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "POST", headers: { "Authorization": "Bearer <API_TOKEN>", "Content-Type": "application/json" }, body: JSON.stringify({ "name": "string", "plan_id": 0 }),});console.log(await response.json());Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”project_id
required
integer
Project ID Find your project id here
location
required
string
Deployment region for the resource. Accepted values: Delhi, Chennai.
Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
name
required
Name of the secret
string
plan_id
required
Plan ID for the secret
integer
Example generated
{ "name": "example", "plan_id": 1}Responses
Section titled “Responses”Successful response when a secret is created
Media typeapplication/json
object
code
integer
data
object
vault_id
integer
errors
object
message
string
Example
{ "code": 200, "data": { "vault_id": 221 }, "errors": {}, "message": "Secret created successfully."}